# Ogre::OverlayElementFactory Class Reference

Defines the interface which all components wishing to supply OverlayElement subclasses must implement. More...

`#include <OgreOverlayElementFactory.h>`

Inheritance diagram for Ogre::OverlayElementFactory:

List of all members.

## Public Member Functions

virtual OverlayElement * | createOverlayElement (const String &instanceName)=0
| Creates a new OverlayElement instance with the name supplied.
virtual void | destroyOverlayElement (OverlayElement *pElement)
| Destroys a OverlayElement which this factory created previously.
virtual const String & | getTypeName (void) const=0
| Gets the string uniquely identifying the type of element this factory creates.

## Detailed Description

Defines the interface which all components wishing to supply OverlayElement subclasses must implement.

Remarks:
  To allow the OverlayElement types available for inclusion on overlays to be extended, OGRE allows external apps or plugins to register their ability to create custom OverlayElements with the OverlayManager, using the addOverlayElementFactory method. Classes wanting to do this must implement this interface.

  Each OverlayElementFactory creates a single type of OverlayElement, identified by a 'type name' which must be unique.

Definition at line 48 of file OgreOverlayElementFactory.h.

## Member Function Documentation

virtual OverlayElement* Ogre::OverlayElementFactory::createOverlayElement | ( | const String & | instanceName | ) | `[pure virtual]`

| Creates a new OverlayElement instance with the name supplied. Implemented in Ogre::PanelOverlayElementFactory, Ogre::BorderPanelOverlayElementFactory, and Ogre::TextAreaOverlayElementFactory.

virtual void Ogre::OverlayElementFactory::destroyOverlayElement | ( | OverlayElement * | pElement | ) | `[virtual]`

| Destroys a OverlayElement which this factory created previously. Definition at line 54 of file OgreOverlayElementFactory.h.

virtual const String& Ogre::OverlayElementFactory::getTypeName | ( | void |  | ) | const`[pure virtual]`

| Gets the string uniquely identifying the type of element this factory creates. Implemented in Ogre::PanelOverlayElementFactory, Ogre::BorderPanelOverlayElementFactory, and Ogre::TextAreaOverlayElementFactory.

The documentation for this class was generated from the following file:

- OgreOverlayElementFactory.h

Copyright © 2000-2005 by The OGRE Team
Last modified Sun Nov 20 12:37:49 2005